org.apache.uima.fit.descriptor

## Annotation Type OperationalProperties

-     @Retention(value=RUNTIME)
       @Target(value=TYPE)
      public @interface OperationalProperties

  Control aspects of the UIMA analysis component.

- - ### Field Summary

    Fields
    Modifier and Type | Fields and Description
    --- | ---
    `static boolean` | `MODIFIES_CAS_DEFAULT` the default value for modifiesCas if none is given
    `static boolean` | `MULTIPLE_DEPLOYMENT_ALLOWED_DEFAULT` the default value for multipleDeploymentAllowed if none is given.
    `static boolean` | `OUTPUTS_NEW_CASES_DEFAULT` the default value for outputsNewCases if none is given

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `modifiesCas` Gets whether this component will modify the CAS.
    `boolean` | `multipleDeploymentAllowed` Gets whether multiple instances of this component can be run in parallel, each receiving a subset of the documents from a collection.
    `boolean` | `outputsNewCases` Gets whether this AnalysisEngine may output new CASes.

- - ### Field Detail

    - #### MULTIPLE_DEPLOYMENT_ALLOWED_DEFAULT

          public static final boolean MULTIPLE_DEPLOYMENT_ALLOWED_DEFAULT

      the default value for multipleDeploymentAllowed if none is given.

  - - #### MODIFIES_CAS_DEFAULT

          public static final boolean MODIFIES_CAS_DEFAULT

      the default value for modifiesCas if none is given

  - - #### OUTPUTS_NEW_CASES_DEFAULT

          public static final boolean OUTPUTS_NEW_CASES_DEFAULT

      the default value for outputsNewCases if none is given

  - ### Element Detail

    - #### multipleDeploymentAllowed

          public abstract boolean multipleDeploymentAllowed

      Gets whether multiple instances of this component can be run in parallel, each receiving a subset of the documents from a collection.
      Returns:
        true if multiple instances can be run in parallel, false if not
      See Also:
        `OperationalProperties.isMultipleDeploymentAllowed()`
      Default:
        true

  - - #### modifiesCas

          public abstract boolean modifiesCas

      Gets whether this component will modify the CAS.
      Returns:
        true if this component modifies the CAS, false if it does not.
      See Also:
        `OperationalProperties.getModifiesCas()`
      Default:
        true

  - - #### outputsNewCases

          public abstract boolean outputsNewCases

      Gets whether this AnalysisEngine may output new CASes. If this property is set to true, an application can use the `AnalysisEngine.processAndOutputNewCASes(org.apache.uima.cas.CAS)` to pass a CAS to this this AnalysisEngine and then step through all of the output CASes that it produces. For example, such an AnalysisEngine could segment a CAS into smaller pieces, emitting each as a separate CAS.
      Returns:
        true if this component may output new CASes, false if it does not
      See Also:
        `OperationalProperties.getOutputsNewCASes()`
      Default:
        false

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.